package com.tcctlo.law.entity.wordTemplateEntity;

import com.deepoove.poi.config.Name;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class BaseWordEntity {

    /**
     * 甲方
     */
    @Name("firstParty")
    private String firstParty;

    /**
     * 承办律师
     */
    @Name("solicitor")
    private String solicitor;

    /**
     * 统一社会信用代码或身份证号码
     */
    @Name("socialCreditCode")
    private String socialCreditCode;

    /**
     * 地址
     */
    @Name("address")
    private String address;
}
