package com.tcctlo.law.service;

import com.tcctlo.law.entity.ContractFormParameter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * 合同表单参数 服务类
 * </p>
 *
 * @author 
 * @since 2025-02-21
 */
public interface IContractFormParameterService {
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<ContractFormParameter> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    ContractFormParameter getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param contractFormParameter
    * @return
    */
    Integer create(ContractFormParameter contractFormParameter);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param contractFormParameter
    * @return
    */
    Integer update(ContractFormParameter contractFormParameter);
}
